For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
        • GETList bulk sequence subscriptions
        • POSTInitiate a new bulk sequence subscription
        • GETFetch a single bulk sequence subscription object
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsBulk ActionsBulk Sequence Subscriptions

Initiate a new bulk sequence subscription

||View as Markdown|
POST
https://api.close.com/api/v1/bulk_action/sequence_subscription/
POST
/api/v1/bulk_action/sequence_subscription/
$curl -X POST https://api.close.com/api/v1/bulk_action/sequence_subscription/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "action_type": "subscribe",
> "contact_preference": "lead",
> "results_limit": null,
> "s_query": {
> "queries": [
> {
> "object_type": "lead",
> "type": "object_type"
> },
> {
> "condition": {
> "mode": "full_words",
> "type": "text",
> "value": "ACME Inc."
> },
> "field": {
> "field_name": "name",
> "object_type": "lead",
> "type": "regular_field"
> },
> "type": "field_condition"
> }
> ],
> "type": "and"
> },
> "sender_account_id": "emailacct_aslkdjfalksjdfCmLShmuvlPMFy7Ze61FVeEj1VXnlG",
> "sender_email": "john@salesteam.com",
> "sender_name": "John Doe",
> "sequence_id": "seq_1BTljGuCooX0nbFoPihl07",
> "sort": [
> {
> "direction": "desc",
> "field": {
> "field_name": "date_created",
> "object_type": "lead",
> "type": "regular_field"
> }
> }
> ]
>}'
1{
2 "action_type": "subscribe",
3 "calls_assigned_to": null,
4 "contact_preference": "lead",
5 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
6 "date_created": "2013-12-05T18:34:41.753000+00:00",
7 "date_updated": "2013-12-05T19:33:29.357000+00:00",
8 "from_phone_number_id": null,
9 "id": "bulkseqsub_qmjJY85TSmMBqw1MKgL5o3LdSJkvklqfAwfdcjiRYCy",
10 "n_leads": 824,
11 "n_leads_processed": 523,
12 "n_objects": 824,
13 "n_objects_processed": 523,
14 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
15 "query": "lead_status:Potential",
16 "results_limit": null,
17 "s_query": {
18 "queries": [
19 {
20 "object_type": "lead",
21 "type": "object_type"
22 },
23 {
24 "condition": {
25 "mode": "full_words",
26 "type": "text",
27 "value": "ACME Inc."
28 },
29 "field": {
30 "field_name": "name",
31 "object_type": "lead",
32 "type": "regular_field"
33 },
34 "type": "field_condition"
35 }
36 ],
37 "type": "and"
38 },
39 "send_done_email": false,
40 "sender_account_id": "emailacct_aslkdjfalksjdfCmLShmuvlPMFy7Ze61FVeEj1VXnlG",
41 "sender_email": "john@salesteam.com",
42 "sender_name": "John Doe",
43 "sequence_id": "seq_1BTljGuCooX0nbFoPihl07",
44 "sort": [
45 {
46 "direction": "desc",
47 "field": {
48 "field_name": "date_created",
49 "object_type": "lead",
50 "type": "regular_field"
51 }
52 }
53 ],
54 "status": "processing",
55 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
56}
`action_type` must be one of: - `subscribe` to create a new sequence subscription for contacts that have never received the given sequence. - `resume` to resume any paused sequence subscriptions for the given sequence or all sequences if `sequence_id` is not provided. - `resume_finished` to resume any finished sequence subscriptions for the given sequence or all sequences if `sequence_id` is not provided. - `pause` to pause any active sequence subscriptions for the given sequence or all sequences if `sequence_id` is not provided. `sequence_id`, `sender_account_id`, `sender_name`, `sender_email` and `contact_preference` are required if `action_type` is `subscribe`. `contact_preference` can be set to: - `lead` to only subscribe the primary/first contact email of the lead. - `contact` to subscribe the primary email of each contact of the lead.
Was this page helpful?
Previous

List bulk sequence subscriptions

Next

Fetch a single bulk sequence subscription object

Built with

action_type must be one of:

  • subscribe to create a new sequence subscription for contacts that have never received the given sequence.
  • resume to resume any paused sequence subscriptions for the given sequence or all sequences if sequence_id is not provided.
  • resume_finished to resume any finished sequence subscriptions for the given sequence or all sequences if sequence_id is not provided.
  • pause to pause any active sequence subscriptions for the given sequence or all sequences if sequence_id is not provided.

sequence_id, sender_account_id, sender_name, sender_email and contact_preference are required if action_type is subscribe.

contact_preference can be set to:

  • lead to only subscribe the primary/first contact email of the lead.
  • contact to subscribe the primary email of each contact of the lead.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response
action_typeenum
Allowed values:
calls_assigned_tolist of strings or null
contact_preferenceenum or null
Allowed values:
created_bystring or null
date_createddatetime or null
date_updateddatetime or null
from_phone_number_idstring or null
idstring
n_leadsinteger or null
n_leads_processedinteger
n_objectsinteger or null
n_objects_processedinteger
organization_idstring
querystring or null
results_limitinteger or null
s_querymap from strings to any
send_done_emailboolean
sender_account_idstring or null
sender_emailstring or null
sender_namestring or null
sequence_idstring or null
sortlist of maps from strings to any
statusenum or null
updated_bystring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error